> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/da/udviklerressourcer/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md).

# Hent en liste over dokumenter i en Vektorbutik

{% openapi src="<https://github.com/skydeckai/rememberizer-docs/blob/production/da/.gitbook/assets/rememberizer_openapi.yml>" path="/vector-stores/{vector-store-id}/documents" method="get" %}
<https://github.com/skydeckai/rememberizer-docs/blob/production/da/.gitbook/assets/rememberizer_openapi.yml>
{% endopenapi %}

## Eksempelanmodninger

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents \
  -H "x-api-key: DIN_API_NØGLE"
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle og `vs_abc123` med din Vector Store ID.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreDocuments = async (vectorStoreId) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents`, {
    method: 'GET',
    headers: {
      'x-api-key': 'DIN_API_NØGLE'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreDocuments('vs_abc123');
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle og `vs_abc123` med din Vector Store ID.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_documents(vector_store_id):
    headers = {
        "x-api-key": "DIN_API_NØGLE"
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_documents('vs_abc123')
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle og `vs_abc123` med din Vector Store ID.
{% endhint %}
{% endtab %}
{% endtabs %}

## Sti Parametre

| Parameter       | Type   | Beskrivelse                                                            |
| --------------- | ------ | ---------------------------------------------------------------------- |
| vector-store-id | string | **Påkrævet.** ID'en på vektorbutikken, som dokumenter skal listes fra. |

## Responsformat

```json
[
  {
    "id": 1234,
    "name": "Produktmanual.pdf",
    "type": "application/pdf",
    "vector_store": "vs_abc123",
    "size": 250000,
    "status": "indekseret",
    "processing_status": "færdiggjort",
    "indexed_on": "2023-06-15T10:30:00Z",
    "status_error_message": null,
    "created": "2023-06-15T10:15:00Z",
    "modified": "2023-06-15T10:30:00Z"
  },
  {
    "id": 1235,
    "name": "Tekniske specifikationer.docx",
    "type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
    "vector_store": "vs_abc123",
    "size": 125000,
    "status": "indekseret",
    "processing_status": "færdiggjort",
    "indexed_on": "2023-06-15T11:45:00Z",
    "status_error_message": null,
    "created": "2023-06-15T11:30:00Z",
    "modified": "2023-06-15T11:45:00Z"
  }
]
```

## Godkendelse

Denne endpoint kræver godkendelse ved hjælp af en API-nøgle i `x-api-key` headeren.

## Fejlrespons

| Statuskode | Beskrivelse                                      |
| ---------- | ------------------------------------------------ |
| 401        | Uautoriseret - Ugyldig eller manglende API-nøgle |
| 404        | Ikke fundet - Vektorbutik ikke fundet            |
| 500        | Intern serverfejl                                |

Denne endpoint henter en liste over alle dokumenter, der er gemt i den angivne vektorbutik. Den giver metadata om hvert dokument, herunder dokumentets behandlingsstatus, størrelse og indekseret tidsstempel. Disse oplysninger er nyttige til at overvåge indholdet i din vektorbutik og kontrollere dokumentets behandlingsstatus.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/da/udviklerressourcer/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
